<?
include("config.inc.php");
session_name("spamassassin");
session_start();


// if user is already logged in, ie the "username" session var is already
// registered, then un-register, thus logging that user out automatically

if(session_is_registered("username") ) {
	session_unregister("username");
}

// if $usesssl is enabled, then check if the request is made with HTTPS,
// SSL, on, and if not, redirect to the HTTPS server.

if ($usessl == 'yes') {
	if(!$HTTPS == 'On') {
		header("Location: https://$sitename/$phpsapath/login.php");
		exit;
	}
}

$status = -1; 		// init the pwauth return status var
if($post_login) {

/*
 * START AUTHENTICATION SYSTEM
 */

// this simple routine opens a pipe to the pwauth program, and 
// pipes the username / password to pwauth, then closing it, 
// checking the return value. 
// A return value of 0 = successful login, 1 = failed login

	$pipe = "$post_username\n$post_password\n";
	$pwauth = "/usr/local/apache/bin/pwauth";
	if($cmd = popen ($pwauth, "w")) {
		fwrite($cmd, $pipe);
		$status=(pclose($cmd)>>8)&0xFF;
	}

/*
 * STOP AUTHENTICATION SYSTEM
 */

	if($status == 0) {

	// login successful, redirect to index.php, checking to see
	// if redirect should use SSL or not.

		session_register("username");
		if($usessl == 'yes') {
			header("Location: " .
				"https://$sitename/$phpsapath/index.php");
		} else {
			header("Location: " .
				"http://$sitename/$phpaspath/index.php");
		}
		exit;
	}
	else {
		$loginerror =1;
	}
}

/*
 * Below is the login form.  You can change the html to suit your needs
 * however you want, makeing sure that you keep the form field names the
 * same. 
 *
 * The required form field names:
 *
 * login	this is a hidden field to indicat that the form should
 *		be processed.
 *
 * username	this is the username entered
 *
 * password 	this is the password entered
 *
 */

include("header.inc.php");

?>
<form action="/login.php" method=post>
<input type=hidden name=login value=1>
<CENTER><font class=mainheading>PHP-SpamAssassin Configuration User Login</font></CENTER>
<BR>
<table BORDER=0 ALIGN=CENTER>
<?
if($loginerror) {
?>
	<tr>
		<td colspan=2><font class=main><b>Login Failed, Please try again!</b></font></td>
	</tr>
<?
}
?>
	<tr>
		<td ALIGN=RIGHT><font class=main>Username:</font></td>
		<td><input name=username type=text size=20 maxlength=20></td>
	</tr>
	<tr>
		<td ALIGN=right><font class=main>Password:</font></td>
		<td><input name=password type=password size=20></td>
	</tr>
	<tr>
		<td colspan=2 align=center><input type=submit name=submit value="Login"></td>
	</tr>
</table>
</form>

<?
include("footer.inc.php");
?>

